<?php
header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=depositos_reporte.xls");
use_helper('UrlFunctions');
use_helper('UtilFunctions');
$o_ObjectBean = new ClienteBean();
  
//print_r($_GET);
$tamanioPag = 999999;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO 

$o_ArArqueoDetalleDepositoFN = new ArArqueoDetalleDepositoFN();
$o_ArArqueoDetalleDepositoFN->setIdclase("DEPOSITO");
$o_ArArqueoDetalleDepositoFN->setIdsucursal($cboSucursal);
$o_ArArqueoDetalleDepositoFN->setIdmercado($cboMercado);
$o_ArArqueoDetalleDepositoFN->setIdbanco($IdBanco);
$o_ArArqueoDetalleDepositoFN->setIdcuenta($IdCuenta);
$o_ArArqueoDetalleDepositoFN->setFechadeposito($FechaCreacionInicial);
$o_ArArqueoDetalleDepositoFN->setFechadepositofinal($FechaCreacionFinal);
$o_ArArqueoDetalleDepositoFN->setFecharegistro($FechaTraInicial);
$o_ArArqueoDetalleDepositoFN->setFecharegistrofinal($FechaTraFinal);


$o_ArArqueoDetalleDepositoFN->addOrderBy(ArArqueoDetalleDepositoFN::Fecharegistro,false);

$a_o_ArArqueoDetalleDepositoBN = $o_ArArqueoDetalleDepositoFN->select();






if(!$page) $page = 1;



?>



      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
               <th width="3%" >Nro</th>
				
                <th>Sucursal&nbsp;&nbsp;&nbsp;</th>
                <th>Mercado&nbsp;&nbsp;&nbsp;</th>
				<th width="9%" >Banco</th>
				<th width="9%" >Cuenta banco</th>
				<th width="9%">Fecha Trx.</th>
				<th width="9%" >Numero de operacion</th>
				<th width="9%" >Fecha de operacion</th>
				<th width="5%" >Monto</th>
				<th width="5%" >Nro Pre.</th>
                <th width="5%" >Cod Cli</th>
			    <th width="15%" >Cliente&nbsp;&nbsp;&nbsp;</th>
			    <th width="9%" >F. registro</th>
				<th width="9%" >U. registro</th>
              </tr>
              <? if(count($a_o_ArArqueoDetalleDepositoBN)>0){ ?>
              <? foreach ($a_o_ArArqueoDetalleDepositoBN as $iKey => $o_objBean){ 
              $o_MercadoBean = new MercadoBean();
              $o_MercadoBean->setIdMercado($o_objBean->getIdMercado());
              $o_MercadoDP = new MercadoDP($o_MercadoBean);
	          $a_o_Mercado = $o_MercadoDP->select();
	          if(is_array($a_o_Mercado) && count($a_o_Mercado)){
	            $o_Mercado = $a_o_Mercado[0];
	            $descripcionMercado = $o_Mercado->getDescripcion();
              }
              
              $o_SucursalMercadoBean = new SucursalMercadoBean();
              $o_SucursalMercadoBean->setIdMercado($o_objBean->getIdMercado());
              $o_SucursalMercadoDP = new SucursalMercadoDP($o_SucursalMercadoBean);
	          $a_o_SucursalMercadoDP = $o_SucursalMercadoDP->select();
	          
	          if(is_array($a_o_SucursalMercadoDP) && count($a_o_SucursalMercadoDP)){
	            $o_SucursalMercadoDP = $a_o_SucursalMercadoDP[0];
	            $IdSucursal = $o_SucursalMercadoDP->getIdSucursal();
	            
	            $o_SucursalBean = new SucursalBean();
                $o_SucursalBean->setIdSucursal($IdSucursal);
                $o_SucursalDP = new SucursalDP($o_SucursalBean);
    	        $a_o_Sucursal = $o_SucursalDP->select();
    	        if(is_array($a_o_Sucursal) && count($a_o_Sucursal)){
    	            $o_Sucursal = $a_o_Sucursal[0];
    	            $descripcionSucursal = $o_Sucursal->getDescripcion();
                }
              }
	            /*echo "<pre>";
                print_r($a_o_Mercado);
                echo "</pre>";*/
	          ?>
              <tr onClick="TR_click(this);">
               <td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>
			   
               <td align="center"><?=$descripcionSucursal?></td>
               <td align="center"><?=$descripcionMercado;?></td>
			   <td align="center"><?=$o_objBean->getBanco()?></td>
			   <td align="center"><?=$o_objBean->getNumerocuenta()?></td>
			   <td align="center"><?=$o_objBean->getFecha()?></td>
			   <td align="center"><?=$o_objBean->getNumeroboucher()?></td>
			   <td align="center"><?=$o_objBean->getFechadeposito()?></td>
			   <td align="center"><?=$o_objBean->getSubtotal()?></td>
			    <td align="center"><?=$o_objBean->getIdPrestamo()?></td>
               <td align="center"><?=$o_objBean->getIdCliente()?></td>
                <td><?=mb_strtoupper($o_objBean->getNombrecliente())?></td>
                <td align="center"><?=$o_objBean->getFecharegistro()?></td>
			   <td align="center"><?=$o_objBean->getUsuarioregistro()?></td>
              </tr>
              <? } ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
      </table>